software-center-dbus crashed with MemoryError in _dump_bsddbm_for_unity(): (12, 'Cannot allocate memory -- Lock table is out of available locker entries')

Bug #1054070 reported by Pavan Kiran Pulapalli on 2012-09-21
102
This bug affects 26 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Michael Vogt
Precise
High
Iain Lane

Bug Description

[Impact] Software center is force closing (Quantal). Receiving an apport error message that Software center crashed but it stays open (Precise).

[Test Case] Simply start software center with reviews enabled. If you had them enabled before this bug also comes up when disabling reviews.

This is also https://errors.ubuntu.com/bucket/?id=%2Fusr%2Fshare%2Fsoftware-center%2Fsoftware-center%3AMemoryError%3A_on_review_stats_data%3Asave_review_stats_cache_file%3Arun%3A_save_review_stats_cache_blocking%3A_dump_bsddbm_for_unity so we can see if this drops off after the SRU.

[Regression Potential] Failing to repair the DB is possible.

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: software-center 5.3.14.2
ProcVersionSignature: Ubuntu 3.5.0-15.22-generic 3.5.4
Uname: Linux 3.5.0-15-generic i686
ApportVersion: 2.5.2-0ubuntu4
Architecture: i386
Date: Fri Sep 21 19:39:30 2012
ExecutablePath: /usr/share/software-center/software-center-dbus
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/software-center/software-center-dbus
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANGUAGE=en_IN:en
 LANG=en_IN
PythonArgs: ['/usr/share/software-center/software-center-dbus']
SourcePackage: software-center
Title: software-center-dbus crashed with MemoryError in _dump_bsddbm_for_unity(): (12, 'Cannot allocate memory -- Lock table is out of available locker entries')
UpgradeStatus: Upgraded to quantal on 2012-08-19 (33 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: removed: need-duplicate-check
Changed in software-center (Ubuntu):
importance: Undecided → Medium
visibility: private → public
Michael Vogt (mvo) wrote :

<seb128> mvo, it hits that bug every time I run it
<mvo> seb128: even after a reboot?
<seb128> yes
 I just booted the box this morning
 and it was doing it yesterday already

tags: added: ca-escalated
Changed in software-center (Ubuntu):
status: New → In Progress
assignee: nobody → Michael Vogt (mvo)
Michael Vogt (mvo) wrote :

Current top bug on errors.ubuntu.com for software-center so I add ca-escalated.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.3.14.3

---------------
software-center (5.3.14.3) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/downloader-fix-race839462-again:
    - fix a race condition in the SimpleFileDownloader when the file
      is downloaded but the signal did not get delivered yet by the
      gtk event loop (LP: #1055441)
  * lp:~mvo/software-center/thumbnail-test-fixes:
    - fix the get_test_screenshot_thumbnail_window() function and
      ensure that its properly used in the automatic test
  * lp:~mvo/software-center/support-multiple-exhibit-images:
    - add support for multiple images in the exhibit banners
      (LP: #920542)
  * lp:~mvo/software-center/robustness-lp1054070:
    - extends the recovery mechanism for corrupted berkeley
      DB files to MemoryErrors as well to catch LP: #1054070
  * lp:~mvo/software-center/whats-new-lp1044033:
    - ensure that there is a fallback xapian value that can be
      used if the apt-xapian-index has not been created
      (LP: #1044033)
  * lp:~mvo/software-center/exact-match-duplication-lp891613:
    - fix the duplication of packages during a search if there
      is an exact pkgname match in the apt-xapian-index and
      also in the software-center-agent (LP: #891613)
  * lp:~mvo/software-center/lp1047494:
    - fix AttributeError crash in _on_reviews_ready_callback()
      (LP: #1047494)
  * lp:~mvo/software-center/de-duplication-multiple-pkgnames-lp1043159:
    - fix duplication for multiple package lists (LP: #1043159)

  [ Stéphane Graber ]
  * lp:~stgraber/software-center/fix-weblive-isinstance:
    - sync weblive_pristine.py to the latest upstream version,
      this includes porting to be pep8 and python 3 ready and
      restores correct weblive operation

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/de-duplication-multiple-pkgnames-lp1043159-tweak
    - pass DB to the recommendations categories
 -- Michael Vogt <email address hidden> Tue, 02 Oct 2012 10:02:51 +0200

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
Hendrik Knackstedt (hennekn) wrote :

Seeing this crash in Precise. Can we have an SRU?

tags: added: precise
Hendrik Knackstedt (hennekn) wrote :

Happens everytime I start USC.

tags: added: regression
description: updated
tags: removed: regression
Hendrik Knackstedt (hennekn) wrote :

Branch 5.2 fixes this bug for Precise.

Timo Jyrinki (timo-jyrinki) wrote :

This has one of the highest ranks at errors.ubuntu.com.

Changed in software-center (Ubuntu Precise):
milestone: none → precise-updates
status: New → Triaged
importance: Undecided → High
Iain Lane (laney) on 2013-01-16
Changed in software-center (Ubuntu Precise):
status: Triaged → Confirmed
status: Confirmed → In Progress
assignee: nobody → Iain Lane (laney)
Iain Lane (laney) on 2013-01-17
description: updated

Hello Pavan, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/software-center/5.2.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-center (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
David Pitkin (dpitkin) on 2013-02-04
Changed in software-center:
importance: Undecided → High
no longer affects: software-center
Timo Jyrinki (timo-jyrinki) wrote :

The crash seems fixed (starting from the command line to see) after updating to the 5.2.9.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.2.9

---------------
software-center (5.2.9) precise-proposed; urgency=low

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)

software-center (5.2.8) precise-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/handle-trans-cancel-lp1027209-for-5.2:
    - backport of the transaction cancellation fix for bug LP: #1027209.

  [ Michael Vogt ]
  * lp:~mvo/software-center/robustness-lp1054070
    - cherry pick fix for corruption fix LP: #1054070
 -- Brian Murray <email address hidden> Mon, 28 Jan 2013 09:14:24 -0800

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers